## kompare 23.08.0

=== debian/changelog ===
kompare (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:57:18 +0100

kompare (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:36:54 +0100

kompare (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:50:59 +0100

kompare (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:03 +0100

kompare (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:41:04 +0000

kompare (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:21:30 -0600

kompare (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:17:11 +0000

kompare (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkomparediff2-dev (>= 4:22.12.0~))

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 17:00:28 +0000

kompare (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:12:29 +0000

kompare (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:08:46 +0000

kompare (4:22.11.80-0ubuntu2) lunar; urgency=medium

  * Fix install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Nov 2022 07:47:20 +0000

kompare (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Nov 2022 07:32:11 +0000

kompare (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:57 +0000

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.100.0~),
               gettext,
               libkf5codecs-dev (>= 5.100.0~),
               libkf5config-dev (>= 5.100.0~),
               libkf5coreaddons-dev (>= 5.100.0~),
               libkf5doctools-dev (>= 5.100.0~),
               libkf5iconthemes-dev (>= 5.100.0~),
               libkf5jobwidgets-dev (>= 5.100.0~),
               libkf5parts-dev (>= 5.100.0~),
               libkf5texteditor-dev (>= 5.100.0~),
               libkf5widgetsaddons-dev (>= 5.100.0~),
               libkomparediff2-dev (>= 4:23.08.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/kompare
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare

Package: kompare
Architecture: any
Section: devel
Depends: kpart5-kompare (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter
Description: file difference viewer
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kpart5-kompare
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: file difference viewer - kpart
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface-dev
Architecture: any
Section: libdevel
Depends: libkompareinterface5 (= ${binary:Version}),
         ${misc:Depends},
Description: file difference viewer - kpart interface library development files
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kpart5-kompare
Description: file difference viewer - kpart interface library
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

## kompare 23.08.1

=== debian/changelog ===
kompare (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:02:19 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5parts-dev (>= 5.100.0~),
                libkf5texteditor-dev (>= 5.100.0~),
                libkf5widgetsaddons-dev (>= 5.100.0~),
-               libkomparediff2-dev (>= 4:23.08.0~),
+               libkomparediff2-dev (>= 4:23.08.1~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## kompare 23.08.4

=== debian/changelog ===
kompare (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:18:27 +0000

kompare (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:38:29 +0000

kompare (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:34:24 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5parts-dev (>= 5.100.0~),
                libkf5texteditor-dev (>= 5.100.0~),
                libkf5widgetsaddons-dev (>= 5.100.0~),
-               libkomparediff2-dev (>= 4:23.08.1~),
+               libkomparediff2-dev (>= 4:23.08.4~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## kompare 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "23")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "5")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KOMPARE_BASE_VERSION once new features are added
set(KOMPARE_BASE_VERSION "4.1")
set(KOMPARE_VERSION "${KOMPARE_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(Kompare VERSION ${KOMPARE_VERSION})

set(QT_MIN_VERSION "5.15.2")
set(KF_MIN_VERSION "5.100.0")

find_package(ECM ${KF_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(GenerateExportHeader)
include(FeatureSummary)


if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_MIN_VERSION "6.5.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
else()
    set(KF_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    PrintSupport
    Widgets
)

find_package(KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Codecs
    DocTools
    IconThemes
    JobWidgets
    Config
    Parts
    TextEditor
    WidgetsAddons
)

find_package(LibKompareDiff2 5.4 CONFIG)
set_package_properties(LibKompareDiff2 PROPERTIES
    TYPE REQUIRED
)


set(KOMPARE_LIB_VERSION 5)
set(KOMPARE_LIB_SOVERSION 5)

ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.100
    KOMPAREDIFF2 5.4
)

# added by KDE_COMPILERSETTINGS_LEVEL 5.85.0
remove_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)

add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/app/CMakeLists.txt ===
add_executable(kompare)

target_sources(kompare PRIVATE
    main.cpp
    kompare_shell.cpp
    kompareurldialog.cpp

    kompare_shell.qrc
)

ecm_qt_declare_logging_category(kompare
    HEADER kompareshelldebug.h
    IDENTIFIER KOMPARESHELL
    CATEGORY_NAME "kompare.shell"
    DESCRIPTION "Kompare App Shell"
    EXPORT kompare
)

ecm_add_app_icon(kompare ICONS
    ../icons/16-apps-kompare.png
    ../icons/22-apps-kompare.png
    ../icons/32-apps-kompare.png
    ../icons/48-apps-kompare.png
    ../icons/128-apps-kompare.png
)

target_link_libraries(kompare
    kompareinterface
    komparedialogpages
    KompareDiff2
    KF${KF_MAJOR_VERSION}::TextEditor
    KF${KF_MAJOR_VERSION}::WidgetsAddons
    Qt::Widgets
)

install(TARGETS kompare  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.kompare.desktop  DESTINATION  ${KDE_INSTALL_APPDIR})
install(FILES org.kde.kompare.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== debian/changelog ===
kompare (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:37:04 +0000

kompare (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:11:24 +0000

kompare (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:09:29 -0700

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5parts-dev (>= 5.100.0~),
                libkf5texteditor-dev (>= 5.100.0~),
                libkf5widgetsaddons-dev (>= 5.100.0~),
-               libkomparediff2-dev (>= 4:23.08.4~),
+               libkomparediff2-dev (>= 4:23.08.5~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## kompare 24.08.2

=== debian/changelog ===
kompare (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 13:32:46 +0000

kompare (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Build against Qt6 / KF6, update build-deps and deps with the info
    from cmake.
  * Adapt packaging to the Qt6 / KF6 build:
    - ship new libkompareinterface6 package to follow upstream soname
      bump,
    - rename kpart5-kompare to kpart6-kompare,
    - update the list of installed files.
  * Switch to declarative KF6+symbolshelper debhelper build sequence.
  * Fix permissions of installed files.
  * Bump Standards-Version to 4.7.0, no change required.
  * Update project homepage.
  * Improve package descriptions.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Oct 2024 00:50:45 +0200

kompare (4:22.12.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Thu, 01 Feb 2024 17:20:53 +0000

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6codecs-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6iconthemes-dev (>= 6.0.0~),
               libkf6jobwidgets-dev (>= 6.0.0~),
               libkf6parts-dev (>= 6.0.0~),
               libkf6texteditor-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkomparediff2-dev (>= 4:24.08~),
               qt6-base-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/kompare
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare

Package: kompare
Architecture: any
Section: devel
Depends: kpart6-kompare (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: khelpcenter,
Description: file difference viewer
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kpart6-kompare
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: kpart5-kompare,
Replaces: kpart5-kompare,
Description: file difference viewer - kpart interface component
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package contains the kpart needed by applications to embed kompare in
 them.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface-dev
Architecture: any
Section: libdevel
Depends: libkompareinterface6 (= ${binary:Version}), ${misc:Depends},
Description: file difference viewer - kpart interface library development files
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package contains the development files for the kpart needed by
 applications to embed kompare in them.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kpart6-kompare,
Description: file difference viewer - kpart interface library
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package contains the shared library for the kpart interface component.
 .
 This package is part of the KDE Software Development Kit module.

## kompare 24.12.0

=== debian/changelog ===
kompare (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:16:41 +0000

kompare (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:11:38 +0000

kompare (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 20:50:41 +0000

kompare (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:43:56 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:24.08~),
+               libkomparediff2-dev (>= 4:24.12.0~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -63,7 +63,8 @@
 Package: libkompareinterface-dev
 Architecture: any
 Section: libdevel
-Depends: libkompareinterface6 (= ${binary:Version}), ${misc:Depends},
+Depends: libkompareinterface6 (= ${binary:Version}),
+         ${misc:Depends},
 Description: file difference viewer - kpart interface library development files
  Kompare displays the differences between files.  It can compare the
  contents of files or directories, as well as create, display, and merge patch

## kompare 24.12.1

=== debian/changelog ===
kompare (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 08:29:02 +0100

kompare (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Dec 2024 10:44:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: kompare
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6codecs-dev (>= 6.0.0~),
@@ -22,13 +21,13 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:24.12.0~),
+               libkomparediff2-dev (>= 4:24.08~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kompare
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kompare
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kompare.git
 
 Package: kompare
 Architecture: any
@@ -63,8 +62,7 @@
 Package: libkompareinterface-dev
 Architecture: any
 Section: libdevel
-Depends: libkompareinterface6 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkompareinterface6 (= ${binary:Version}), ${misc:Depends},
 Description: file difference viewer - kpart interface library development files
  Kompare displays the differences between files.  It can compare the
  contents of files or directories, as well as create, display, and merge patch

## kompare 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KOMPARE_BASE_VERSION once new features are added
set(KOMPARE_BASE_VERSION "4.2")
set(KOMPARE_VERSION "${KOMPARE_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(Kompare VERSION ${KOMPARE_VERSION})

set(QT_MIN_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0.0")

find_package(ECM ${KF_MIN_VERSION} NO_MODULE REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMDeprecationSettings)
include(GenerateExportHeader)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    PrintSupport
    Widgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    Codecs
    DocTools
    IconThemes
    JobWidgets
    Config
    Parts
    TextEditor
    WidgetsAddons
    I18n
)

find_package(KompareDiff2 6.0 CONFIG)
set_package_properties(KompareDiff2 PROPERTIES
    TYPE REQUIRED
)


set(KOMPARE_LIB_VERSION 6)
set(KOMPARE_LIB_SOVERSION 6)

ecm_set_disabled_deprecation_versions(
    QT 6.5
    KF 6.0
    KOMPAREDIFF2 5.4
)

# added by KDE_COMPILERSETTINGS_LEVEL 5.85.0
remove_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
)

add_subdirectory(doc)
add_subdirectory(src)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kompare (4:24.12.3-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version of libkomparediff.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Mar 2025 17:20:20 +0000

kompare (4:24.12.3-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 07 Mar 2025 16:02:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kompare
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
@@ -21,13 +22,13 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:24.08~),
+               libkomparediff2-dev (>= 4:24.12.3~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kompare
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kompare
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kompare.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
 
 Package: kompare
 Architecture: any

## kompare 25.04.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "04")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== src/komparenavtreepart/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kompare\")

configure_file(komparenavtreepart.json.in ${CMAKE_CURRENT_BINARY_DIR}/komparenavtreepart.json @ONLY)

add_library(komparenavtreepart MODULE)

target_sources(komparenavtreepart PRIVATE
    komparenavtreepart.cpp
)

ecm_qt_declare_logging_category(komparenavtreepart
    HEADER komparenavviewdebug.h
    IDENTIFIER KOMPARENAVVIEW
    CATEGORY_NAME "kompare.navview"
    DESCRIPTION "Kompare Navigation TreeView"
    EXPORT kompare
)

target_link_libraries(komparenavtreepart
    KompareDiff2
    KF6::Parts
    KF6::IconThemes
    KF6::I18n
    Qt6::Widgets
)

install(TARGETS komparenavtreepart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/parts)

=== src/komparepart/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kompare\")

configure_file(komparepart.json.in ${CMAKE_CURRENT_BINARY_DIR}/komparepart.json @ONLY)

add_library(komparepart MODULE)

target_sources(komparepart PRIVATE
    kompare_part.cpp
    kompare_partfactory.cpp
    kompareconnectwidget.cpp
    komparesplitter.cpp
    komparelistview.cpp
    kompareprefdlg.cpp
    komparesaveoptionsbase.cpp
    komparesaveoptionswidget.cpp
    kompareview.cpp

    kompare_part.qrc
)

ecm_qt_declare_logging_category(komparepart
    HEADER komparepartdebug.h
    IDENTIFIER KOMPAREPART
    CATEGORY_NAME "kompare.part"
    DESCRIPTION "Kompare KParts plugin"
    EXPORT kompare
)

ki18n_wrap_ui(komparepart komparesaveoptionsbase.ui)

target_link_libraries(komparepart
    komparedialogpages
    kompareinterface
    KompareDiff2
    KF6::ConfigWidgets
    KF6::CoreAddons
    KF6::JobWidgets
    Qt6::PrintSupport
)

install(TARGETS komparepart  DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/parts)

=== debian/changelog ===
kompare (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - KompareNavTreePart: Avoid out of bounds access.
  * New upstream release (25.04.2).
    - Translation updates.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Jun 2025 08:25:49 +0200

kompare (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:27:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: kompare
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Sune Vuorela <sune@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
@@ -22,13 +20,13 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:24.12.3~),
+               libkomparediff2-dev (>= 4:24.08~),
                qt6-base-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kompare
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kompare
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kompare.git
 
 Package: kompare
 Architecture: any

## kompare 25.04.3

=== debian/changelog ===
kompare (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:48:58 +0100

kompare (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Jun 2025 18:06:44 +0100

kompare (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:52:18 +0100

kompare (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:11:35 +0100

kompare (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:55:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: kompare
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Sune Vuorela <sune@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6codecs-dev (>= 6.0.0~),
@@ -20,13 +21,13 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:24.08~),
+               libkomparediff2-dev (>= 4:25.04.3~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/kompare
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kompare
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kompare.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kompare
 
 Package: kompare
 Architecture: any
@@ -61,7 +62,8 @@
 Package: libkompareinterface-dev
 Architecture: any
 Section: libdevel
-Depends: libkompareinterface6 (= ${binary:Version}), ${misc:Depends},
+Depends: libkompareinterface6 (= ${binary:Version}),
+         ${misc:Depends},
 Description: file difference viewer - kpart interface library development files
  Kompare displays the differences between files.  It can compare the
  contents of files or directories, as well as create, display, and merge patch

## kompare 25.07.80

=== debian/changelog ===
kompare (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:17:52 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.04.3~),
+               libkomparediff2-dev (>= 4:25.07.80~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.07.90

=== debian/changelog ===
kompare (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:52:47 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.07.80~),
+               libkomparediff2-dev (>= 4:25.07.90~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.08.0

=== debian/changelog ===
kompare (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:56:01 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.07.90~),
+               libkomparediff2-dev (>= 4:25.08.0~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "04")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== src/CMakeLists.txt ===
ecm_setup_version(${Kompare_VERSION}
    VARIABLE_PREFIX KOMPARE
    VERSION_HEADER kompare_version.h
)

add_subdirectory(icons)
add_subdirectory(servicemenus)

add_subdirectory(interfaces)
add_subdirectory(dialogpages)
add_subdirectory(komparenavtreepart)
add_subdirectory(komparepart)
add_subdirectory(app)


ecm_qt_install_logging_categories(
    EXPORT kompare
    FILE kompare.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== debian/changelog ===
kompare (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:10:38 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.08.0~),
+               libkomparediff2-dev (>= 4:25.08.1~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.08.1+p24.04+vstable+git20250910.0543

=== debian/changelog ===
kompare (4:25.08.1+p24.04+vstable+git20250910.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:43:22 +0000

kompare (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 10:39:57 +0000

kompare (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:08:30 +0000

kompare (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:37:29 +0000

kompare (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:37:07 +0000

kompare (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:26:25 +0000

kompare (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:36:36 +0000

kompare (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:59:24 +0000

kompare (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:41:02 +0000

kompare (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:32:44 +0000

kompare (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:28:32 +0000

kompare (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:37:46 +0000

kompare (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:15:42 +0000

kompare (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:45:48 +0000

kompare (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:44:43 +0000

kompare (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:21:46 +0000

kompare (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:40:33 +0000

kompare (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:32:21 +0000

kompare (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:23:06 +0000

kompare (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:03:05 +0000

kompare (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 17:09:28 +0000

kompare (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:37:08 +0000

kompare (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:24:27 +0000

kompare (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:08:13 +0000

kompare (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:42:28 +0000

kompare (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:28:47 +0000

kompare (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:05:41 +0000

kompare (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:42:49 +0000

kompare (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:48:39 +0000

kompare (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:09:38 +0000

kompare (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:29:48 +0000

kompare (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:11:21 +0000

kompare (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:58:09 +0000

kompare (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:21:09 +0000

kompare (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:15:20 +0000

kompare (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:29:11 +0000

kompare (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:05:13 +0000

kompare (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:00:23 +0000

kompare (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:08:16 +0000

kompare (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:33:37 +0000

kompare (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:21:14 +0000

kompare (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:57:24 +0000

kompare (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021.12.06:39 +0000

kompare (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:57:18 +0000

kompare (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:25:09 +0000

kompare (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:03:09 +0000

kompare (4:20.12.2-0neon) focal; urgency=medium

  * New release



## kompare 25.08.1+p24.04+vstable+git20251001.1513

=== debian/changelog ===
kompare (4:25.08.1+p24.04+vstable+git20251001.1513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 15:13:59 +0000

## kompare 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== debian/changelog ===
kompare (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:50:19 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf6parts-dev (>= 6.0.0~),
                libkf6texteditor-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
-               libkomparediff2-dev (>= 4:25.08.1~),
+               libkomparediff2-dev (>= 4:25.08.2~),
                qt6-base-dev (>= 6.5.0~),
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

## kompare 25.08.2+p24.04+vstable+git20251015.1636

=== debian/changelog ===
kompare (4:25.08.2+p24.04+vstable+git20251015.1636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:36:02 +0000

kompare (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:24:54 +0000

## kompare 25.08.2+p24.04+vstable+git20251019.0624

=== debian/changelog ===
kompare (4:25.08.2+p24.04+vstable+git20251019.0624-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 06:24:46 +0000

=== debian/control ===
Source: kompare
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kiconthemes-dev,
               kf6-kjobwidgets-dev,
               kf6-kparts-dev,
               kf6-ktexteditor-dev,
               kf6-kwidgetsaddons-dev,
               kf6-syntax-highlighting-dev,
               libkomparediff2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kompare.git
Vcs-Browser: https://invent.kde.org/neon/kde/kompare
Maintainer: Neon CI <neon@kde.org>

Package: kompare
Architecture: any
Section: devel
Depends: kpart6-kompare (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: khelpcenter
Description: file difference viewer
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: kpart6-kompare
Architecture: any
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kpart5-kompare
Replaces: kpart5-kompare
Description: file difference viewer - kpart
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface-dev
Architecture: any
Section: libdevel
Depends: libkompareinterface6 (= ${binary:Version}), ${misc:Depends}
Description: file difference viewer - kpart interface library development files
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

Package: libkompareinterface6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kpart6-kompare
Breaks: libkompareinterface5
Replaces: libkompareinterface5
Description: file difference viewer - kpart interface library
 Kompare displays the differences between files.  It can compare the
 contents of files or directories, as well as create, display, and merge patch
 files.
 .
 This package is part of the KDE Software Development Kit module.

## kompare 25.08.2+p24.04+vstable+git20251028.1028

=== debian/changelog ===
kompare (4:25.08.2+p24.04+vstable+git20251028.1028-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:28:35 +0000

## kompare 25.08.2+p24.04+vstable+git20251031.0255

=== debian/changelog ===
kompare (4:25.08.2+p24.04+vstable+git20251031.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:55:56 +0000

## kompare 25.08.2+p24.04+vunstable+git20251011.0549

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KOMPARE_BASE_VERSION once new features are added

=== debian/changelog ===
kompare (4:25.08.2+p24.04+vunstable+git20251011.0549-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 05:49:59 +0000

## kompare 25.08.2+p24.04+vunstable+git20251015.1539

=== debian/changelog ===
kompare (4:25.08.2+p24.04+vunstable+git20251015.1539-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 15:39:27 +0000

## kompare 25.08.2+p24.04+vunstable+git20251020.1347

=== debian/changelog ===
kompare (4:25.08.2+p24.04+vunstable+git20251020.1347-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 13:47:15 +0000
